de.esprit.appsuite.io.archive.javatar

## Class TarEntryEnumerator

- java.lang.Object
- - de.esprit.appsuite.io.archive.javatar.TarEntryEnumerator

- All Implemented Interfaces:
    java.util.Enumeration

      public class TarEntryEnumerator
      extends java.lang.Object
      implements java.util.Enumeration

  Enumerate the contents of a "tar" file. Last updated 26th Mar 1999.
  Since:
    Version 1.0
  Version:
    Version 1.0 Mar 1999
  Author:
    David. M. Gaskin.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TarEntryEnumerator(TarInputStream tis)` Construct an instance given a TarInputStream.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `hasMoreElements()` Return true if there are more elements in the enumeration.
    `java.lang.Object` | `nextElement()` Return the next element in the enumeration.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TarEntryEnumerator

          public TarEntryEnumerator(TarInputStream tis)

      Construct an instance given a TarInputStream. This method is package private because it is not initially foreseen that an instance of this class should be constructed from outside the package. Should it become necessary to construct an instance of this class from outside the package in which it exists then the constructor should be made protected and an empty subclass should be written in the other package.
      Parameters:
        `tis` - the TarInputStream on which this enumeration has to be based.

  - ### Method Detail

    - #### nextElement

          public java.lang.Object nextElement()
                                       throws java.util.NoSuchElementException

      Return the next element in the enumeration. This is a required method for implementing java.util.Enumeration.
      Specified by:
        `nextElement` in interface `java.util.Enumeration`
      Returns:
        the next Object in the enumeration
      Throws:
        `NoSuchElementException` - should an attempt be made to read beyond EOF
        `java.util.NoSuchElementException`

    - #### hasMoreElements

          public boolean hasMoreElements()

      Return true if there are more elements in the enumeration.
      Specified by:
        `hasMoreElements` in interface `java.util.Enumeration`
      Returns:
        true if there are more elements in the enumeration.

Copyright © 2014 EsprIT-Systems. All Rights Reserved.